> For the complete documentation index, see [llms.txt](https://mwx.twelite.info/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://mwx.twelite.info/latest_en/api-reference/sys_callbacks/on_tx_comp.md).

# on\_tx\_comp()

Called when transmission is complete.

```cpp
void on_tx_comp(mwx::packet_ev_tx& ev, bool_t &b_handled) 
```

This function is called from within the MWX library with data stored in `ev` as `packet_ev_tx` when the wireless packet transmission is finished. If this function is not defined in the application, a weak function that does nothing is linked.

`ev.u8CbId` is the ID at the time of transmission and `ev.bStatus` is a flag indicating success (1) or failure (0) of the transmission.

Setting `b_handled` to *true* in this function tells the MWX library that the incoming packet has been processed in the application. If set to *processed*, it suppresses unnecessary processing. (Do not call event callback functions for `the_twelite.app`, `.board`, or `.settings`)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://mwx.twelite.info/latest_en/api-reference/sys_callbacks/on_tx_comp.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
